org.eclipse.viatra.addon.viewers.runtime.zest.sources

## Class ZestLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.viatra.addon.viewers.runtime.sources.QueryLabelProvider
        - - org.eclipse.viatra.addon.viewers.runtime.zest.sources.ZestLabelProvider

- All Implemented Interfaces:
    org.eclipse.gef.zest.fx.jface.IGraphAttributesProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider, IGraphAttributesProvider2

      public class ZestLabelProvider
      extends QueryLabelProvider
      implements org.eclipse.jface.viewers.IColorProvider, IGraphAttributesProvider2

  Label provider for Zest graphs.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.sources.QueryLabelProvider

      `display`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZestLabelProvider(ViewerState state, org.eclipse.swt.widgets.Display display)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object entity)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getEdgeAttributes(java.lang.Object edge)` Determines the attributes that should be set on the edge with the specified source and target content elements.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getEdgeAttributes(java.lang.Object sourceNode, java.lang.Object targetNode)`
    `org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object entity)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getGraphAttributes()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getNestedGraphAttributes(java.lang.Object nestingNode)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getNodeAttributes(java.lang.Object node)`

    - ### Methods inherited from class org.eclipse.viatra.addon.viewers.runtime.sources.QueryLabelProvider

      `getText`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `getImage`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.ILabelProvider

      `getImage, getText`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### ZestLabelProvider

          public ZestLabelProvider(ViewerState state,
                                   org.eclipse.swt.widgets.Display display)

  - ### Method Detail

    - #### getBackground

          public org.eclipse.swt.graphics.Color getBackground(java.lang.Object entity)

      Specified by:
        `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`

    - #### getForeground

          public org.eclipse.swt.graphics.Color getForeground(java.lang.Object entity)

      Specified by:
        `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `dispose` in class `QueryLabelProvider`

    - #### getEdgeAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getEdgeAttributes(java.lang.Object sourceNode,
                                                                                    java.lang.Object targetNode)

      Specified by:
        `getEdgeAttributes` in interface `org.eclipse.gef.zest.fx.jface.IGraphAttributesProvider`

    - #### getEdgeAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getEdgeAttributes(java.lang.Object edge)

      Description copied from interface: `IGraphAttributesProvider2`
      Determines the attributes that should be set on the edge with the specified source and target content elements. If no attributes should be set on the edge, either an empty map or `null` can be returned.
      Specified by:
        `getEdgeAttributes` in interface `IGraphAttributesProvider2`
      Parameters:
        `edge` - A content element representing the edge, according to the `IGraphEntityRelationshipContentProvider.getEdges(Object, Object)` method.
      Returns:
        A mapping from attribute names to values that should be set on the specified edge.
      See Also:
        `For an overview of the supported attributes.`

    - #### getGraphAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getGraphAttributes()

      Specified by:
        `getGraphAttributes` in interface `org.eclipse.gef.zest.fx.jface.IGraphAttributesProvider`

    - #### getNestedGraphAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getNestedGraphAttributes(java.lang.Object nestingNode)

      Specified by:
        `getNestedGraphAttributes` in interface `org.eclipse.gef.zest.fx.jface.IGraphAttributesProvider`

    - #### getNodeAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getNodeAttributes(java.lang.Object node)

      Specified by:
        `getNodeAttributes` in interface `org.eclipse.gef.zest.fx.jface.IGraphAttributesProvider`